function layout()
return {
axisCommands = {
-- joystick axes 
--{action = iCommandPlaneRoll, name = 'Roll'},
--{action = iCommandPlanePitch, name = 'Pitch'},
--{action = iCommandPlaneRudder, name = 'Rudder'},
--{action = iCommandPlaneThrustCommon, name = 'Thrust'},

-- mouse axes
--{action = iCommandPlaneViewHorizontal, name = 'Horizontal View'},
--{action = iCommandPlaneViewVertical, name = 'Vertical View'},
--{action = iCommandPlaneZoomView, name = 'Zoom View'},
                    
-- TrackIR axes
{combos = {{key = 'TRACKIR_PITCH'}}, action = iCommandViewVerticalAbs, name = 'TrackIR Absolute Camera Vertical View'},
{combos = {{key = 'TRACKIR_YAW'}}, action = iCommandViewHorizontalAbs, name = 'TrackIR Absolute Camera Horizontal View'},
{combos = {{key = 'TRACKIR_X'}}, action = iCommandViewHorTransAbs, name = 'TrackIR Absolute Horizontal Shift Camera View'},
{combos = {{key = 'TRACKIR_Y'}}, action = iCommandViewVertTransAbs, name = 'TrackIR Absolute Vertical Shift Camera View'},
{combos = {{key = 'TRACKIR_Z'}}, action = iCommandViewLongitudeTransAbs, name = 'TrackIR Absolute Longitude Shift Camera View'},
{combos = {{key = 'TRACKIR_ROLL'}}, action = iCommandViewRollAbs, name = 'TrackIR Absolute Roll Shift Camera View'},
{combos = nil, action = iCommandViewZoomAbs, name = 'Zoom View'},
-- TrackIR axes
-- iCommandPlaneViewHorizontal, "Horizontal View", 0, 0, TRACKIR_AXIS(0), 0,
-- iCommandPlaneViewVertical,   "Vertical View",   0, 0, TRACKIR_AXIS(1), 0,
-- iCommandPlaneZoomView,       "Zoom View",       0, 0, TRACKIR_AXIS(2), 0,
-- iCommandViewRoll,			"Roll View",		0, 0, TRACKIR_AXIS(3), 0,
-- iCommandViewHorTrans,		"Horizontal View Translate", 0, 0, TRACKIR_AXIS(4), 0,
-- iCommandViewVertTrans,		"Vertical View Translate", 0, 0, TRACKIR_AXIS(5), 0,


},
}
end
